<?php
	
	class actionUnfinderCompare extends cmsAction{
		
		public function run(){
			
			$user = cmsUser::getInstance();
			
			if (!$user->is_admin) { cmsCore::error404(); }   
			
			$template = cmsTemplate::getInstance();
			
			$form = $this->getForm('compare');
			
			$template->addBreadcrumb('Сравнение массивов');
			$options = cmsController::loadOptions($this->name);
			$errors = false;
			
			if ($this->request->has('submit')){
				
				$options = $form->parse($this->request, true);
				$errors = $form->validate($this, $options);
				
				if (!$errors){
					$compare = $this->compare();
					if (!empty($compare)){
						cmsUser::addSessionMessage('Найдено лишних файлов: '.$compare, 'success');
						cmsUser::addSessionMessage('<a href="/upload/compare.json" download> Скачать файл compare.json </a>');
						$this->redirectToAction('move');
						} else {
					cmsUser::addSessionMessage('Нет лишних файлов ', 'success');}
				}
				
				if ($errors){
					cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				}
				
				
				
			}
			
			$template = cmsTemplate::getInstance();
			return $template->render('backend/compare', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
			));
			
		}
		
		
		
	}
